import Vue from 'vue'
import App from './App'
import uView from "uview-ui";
// import Vuex from 'vuex'
Vue.config.productionTip = false
Vue.use(uView);
// Vue.use(Vuex);
App.mpType = 'app'

// import store from '@/common/store/index.js'

const app = new Vue({
	...App,
	// store
})
// http拦截器，将此部分放在new Vue()和app.$mount()之间，才能App.vue中正常使用
import httpInterceptor from '@/common/http.interceptor.js'
Vue.use(httpInterceptor, app)

// http接口API集中管理引入部分
import httpApi from '@/common/http.api.js'
Vue.use(httpApi, app)
app.$mount()
